package models

import (
	"encoding/json"
	"hongze/hongze_robot/utils"
	"github.com/rdlucklib/rdluck_tools/orm"
	"time"
)

type SmsConfig struct {
	ConfigKey   string
	ConfigValue string
}

func GetSmsConfigByConfigKey(configKey string) (item *SmsConfig, err error) {
	o := orm.NewOrm()
	sql := `SELECT *
			FROM sms_config AS a 
            WHERE config_key=? `
	err = o.Raw(sql, configKey).QueryRow(&item)
	if err == nil && utils.Re == nil {
		body, err := json.Marshal(item)
		if err != nil {
			return item, err
		}
		utils.Rc.Put(utils.CACHE_HZ_SMS_CONFIG+configKey, string(body), 24*time.Hour)
	}
	return
}
